Elastic Beanstalk Monitor
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Elastic Beanstalk Monitor action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Monitor Elastic Beanstalk/tests",
"type": "MONITOR",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "aws"
},
"application_name": "tests",
"region": "us-west-2",
"environment": "e-rnuptbebz2",
"fail_on_yellow": true,
"verbose": false,
"timeout": 600
}'STATUS200 OK